/*
 * File   : printu.h
 * Purpose: This file contains all global definations used by more than
 *          one program file.
 * Autor  : Andreas Theofilu
 *
 * Copyright (C) 1998 by Theos Soft.
 */

/* 
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *  logi32.c,v 0.0.2 1994/06/13 23:29:14
 */

/*
 * some definations
 */
#define PsCLOSEPATH	0
#define PsSTROKE	1
#define PsFILL		2

#define PsINCH		0
#define PsPT		1
#define PsMILLIMETER	2

#define PsTIMES_ROMAN		0
#define PsTIMES_BOLD		1
#define PsTIMES_ITALIC		2
#define PsTIMES_BOLDITALIC	3
#define PsCOURIER		4
#define PsCOURIER_BOLD		5
#define PsCOURIER_OBLIQUE	6
#define PsCOURIER_BOLDOBLIQUE	7
#define PsHELVETICA		8
#define PsHELVETICA_BOLD	9
#define PsHELVETICA_ITALIC	10
#define PsHELVETICA_BOLDITALIC	11

/*
 * Common function prototypes
 */
int PsOpenPrint (char *pr, int toFile);
Boolean GetPrintStatus ();
void PsClosePrint ();
void PsNewPath ();
void PsShowPage ();
void PsSetMetric (int m);
void PsSetFont (char *fontname, int scale);
void PsChooseFont (int fn, int scale);
void PsSetPosition (float x, float y);
void PsSetRelativePosition (float x, float y);
void PsLineTo (float x, float y);
void PsDrawLine (float xs, float ys, float xt, float yt);
void PsDrawText (char *text);
void PsSetLineWidth (int pt);
void PsSetGrayLevel (int gr);
void PsClosePath (int type);
void PsPushState ();
void PsPopState ();
int PsGetPage ();
void PsNewPage ();
float PsInchToPt (float i);
float PsMilliToPt (float m);

